Subject: Re: bug#36903: 27.0.50; gnus registry vs. debbugs

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 07 Aug 2019 13:22:04 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> Lars, `gnus-clear-system' explicitly refrains from unsetting
>> `gnus-format-specs'. So if you start and stop Gnus, then start
>> debbugs-gnu, the user's customized format specs are still in place, and
>> may end up calling functions that depend on ~/.gnus.el setup stuff, and
>> raising errors.
>>
>> Could `gnus-clear-system' also clear format specs? Obviously that
>> omission went in there for a reason, but I don't know what. Alternately,
>> could debbugs reset the specs when it starts?
>
> Hm.  I have no idea why gnus-format-specs isn't cleared.  The changelog
> says, helpfully enough:
>
>     * gnus-start.el (gnus-read-newsrc-file): Don't clear
>     gnus-format-specs.

Yup, that's where my search ended as well :)

It seems like it has to be something to do with performance, so the
specs aren't re-evaluated? I really don't know. What do you think about
taking it out?